summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-util/rr/Manifest1
-rw-r--r--dev-util/rr/rr-5.2.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-util/rr/Manifest b/dev-util/rr/Manifest
index 365895efb43..a220ff84724 100644
--- a/dev-util/rr/Manifest
+++ b/dev-util/rr/Manifest
@@ -1,3 +1,4 @@
DIST mozilla-rr-4.5.0.tar.gz 683371 BLAKE2B 1654de3811be4eac40ed751b910aed0ddca2100147e47e2e068f625c607964f98d33033c38cdf3a2146284bc477b08299e3432389342e7b058e331f0b924686f SHA512 8e9b7c6eaa9908e75853b5e19f61954b57e6e5afa7a8b6fe55f31aee36bab6ff315b5c3511d14c93dca5da19055a7879b6f3b9f51c349b1bb9acea130187a5e6
DIST mozilla-rr-5.0.0.tar.gz 1143119 BLAKE2B b08f8ade8856b03fa94057a8c850000cfacc0722090ac3f7d1c147a3c4e7c2bbfe58a740711495e88476d90eb02c6e9a5b85078dcb4fcf3ed107ad281dd3dcf8 SHA512 aaec0869e68290d5f7b752d02e89fc4f83dd2fce4abf91b36c006eeec97555b7adc69da311eadd48c9891599245305b585ed1a53580f7c616dba401f1592c5f2
DIST mozilla-rr-5.1.0.tar.gz 1158274 BLAKE2B f150e9d05b0a6a32c818f968879d0a394beb6524469cad905a21024e0d79e229f261c766f17aecbacdb81cf8e7408e62d1fdf8677569de8ed4d882b91f93b83d SHA512 8cb7da20ddb2bfbeaf57d9bca76a3b5495d4bd74a00092c40c948570a2cda3dca6cb1e73ed65af099fe405a4d29ff1a852496baf0fcb6119258443649a65766a
+DIST mozilla-rr-5.2.0.tar.gz 1168734 BLAKE2B 2f15c4ec4a271f930334577e98b14e37d2a0eb7cd3443e7110d3562ac4ef30c310e6448a588f4e31f2943a6d4ff0af006cbbafc50722543436fcae3bdc8e453f SHA512 4465985f67e9812b62b91ac7942105a9f976faf0c0d7c352a99a638fe6bdfde024f939b3daa922d431c7fc87118ae4d9d039b00345760fb547c349e8737dc168
diff --git a/dev-util/rr/rr-5.2.0.ebuild b/dev-util/rr/rr-5.2.0.ebuild
new file mode 100644
index 00000000000..330b1821df1
--- /dev/null
+++ b/dev-util/rr/rr-5.2.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+CMAKE_BUILD_TYPE=Release
+
+inherit cmake-utils linux-info python-single-r1
+
+DESCRIPTION="Record and Replay Framework"
+HOMEPAGE="https://rr-project.org/"
+SRC_URI="https://github.com/mozilla/${PN}/archive/${PV}.tar.gz -> mozilla-${P}.tar.gz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+ sys-libs/zlib
+ dev-libs/capnproto
+ ${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ sys-devel/gdb[xml]"
+# Add all the deps needed only at build/test time.
+DEPEND+="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ sys-devel/gdb[xml]
+ )"
+
+#PATCHES=(
+# "${FILESDIR}"/${P}-sysmacros.patch
+#)
+
+pkg_setup() {
+ if use kernel_linux; then
+ CONFIG_CHECK="SECCOMP"
+ linux-info_pkg_setup
+ fi
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ sed -i 's:-Werror::' CMakeLists.txt || die #609192
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ )
+
+ cmake-utils_src_configure
+}